---------------------
PatchSet 5186 
Date: 2002/10/01 21:15:12
Author: rbcollins
Branch: esi
Tag: (none) 
Log:
add missing header

Members: 
	src/ESI.h:1.1->1.1.2.1 

--- /dev/null	Wed Feb 14 01:05:20 2007
+++ squid/src/ESI.h	Wed Feb 14 01:06:58 2007
@@ -0,0 +1,46 @@
+
+/*
+ * $Id: ESI.h,v 1.1.2.1 2002/10/01 21:15:12 rbcollins Exp $
+ *
+ *
+ * SQUID Web Proxy Cache          http://www.squid-cache.org/
+ * ----------------------------------------------------------
+ *
+ *  Squid is the result of efforts by numerous individuals from
+ *  the Internet community; see the CONTRIBUTORS file for full
+ *  details.   Many organizations have provided support for Squid's
+ *  development; see the SPONSORS file for full details.  Squid is
+ *  Copyrighted (C) 2001 by the Regents of the University of
+ *  California; see the COPYRIGHT file for full details.  Squid
+ *  incorporates software developed and/or copyrighted by other
+ *  sources; see the CREDITS file for full details.
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *  
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *  
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
+ *
+ */
+
+#ifndef SQUID_ESI_H
+#define SQUID_ESI_H
+
+#include "clientStream.h"
+
+/* ESI.c */
+extern CSR esiStreamRead;
+extern CSCB esiProcessStream;
+extern CSD esiStreamDetach;
+extern CSS esiStreamStatus;
+extern int esiEnableProcessing (HttpReply *);
+
+#endif /* SQUID_ESI_H */
